Subject: bug#24478: 25.1; Regression in 25.1: .tramp_history files are littered in non-$HOME working directories

From: Ævar Arnfjörð Bjarmason <[email-masked]>
Date: Thu, 13 Oct 2016 17:18:13 +0200

On Thu, Oct 13, 2016 at 4:51 PM, Michael Albinus <[email-masked]> wrote:
> Michael Albinus <[email-masked]> writes:
>
> Hi Ævar,
>
>> I've tried it with several configurations, but I could not reproduce the
>> problem locally. I suppose this behaviour is related to the used shell
>> on the remote host. What is /bin/sh on your remote machine?
>
> For the records, today I could reproduce the problem. I had to set
> /bin/bash explicitely as remote shell.
>
> Let's see, whether I could find a proper solution, compliant to all
> bug#24478, bug#20446, bug#19731, bug#17295. And it is always bash, which
> causes problems!

Hi, sorry about not getting back to you earlier on this bug, so just
to confirm you don't need to be to reproduce this anymore?

The system I'm ssh-ing into is a CentOS (a RedHat derivative) machine,
on RHEL/CentOS/Fedora:

    $ file /bin/sh
    /bin/sh: symbolic link to `bash'
    $ rpm -qf /bin/sh
    bash-4.2.46-20.el7_2.x86_64

I.e. their /bin/sh is always bash, as opposed to say the more minimal
dash shell on Debian.